---
- entityDefinitions:
  - IDC_CircuitBreakerPanel: '{98cc2a32-0289-406e-8df4-5e154ca601d2}'
  
  - IDR_Circuit_Breaker_Panel__has__Circuit_Breaker: '{e89b233f-4fde-4c94-b243-518ab4d8b86e}'
  - IDR_Circuit_Breaker__for__Circuit_Breaker_Panel: '{cf39f87b-d376-4cbb-9294-71e129df1920}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_CircuitBreakerPanel;'
    name: 'Circuit Breaker Panel'
    index: 21002
    customTagName: 'circuitBreakerPanel'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    relationships:
    - instance: '&IDR_Circuit_Breaker_Panel__has__Circuit_Breaker;'
      customTagName: 'circuitBreakers'
      customTagNameCreatesInstanceOf: '&IDC_CircuitBreaker;'
    - instance: '&IDR_Circuit_Breaker__for__Home;'
      customTagName: 'forLocationId'
    defaultTask: '&IDI_Task_CircuitBreakerPanel_View;'
    relatedTasks:
    - instance: '&IDI_Task_CircuitBreakerPanel_View;'
    - instance: '&IDI_Task_CircuitBreakerPanel_Edit;'

  - relationship: '&IDR_Circuit_Breaker_Panel__has__Circuit_Breaker;'
    sourceClassId: '&IDC_CircuitBreakerPanel;'
    type: 'has'
    destinationClassId: '&IDC_CircuitBreaker;'
    siblingRelationshipId: '&IDR_Circuit_Breaker__for__Circuit_Breaker_Panel;'
    singular: no

  - relationship: '&IDR_Circuit_Breaker__for__Circuit_Breaker_Panel;'
    sourceClassId: '&IDC_CircuitBreaker;'
    type: 'for'
    destinationClassId: '&IDC_CircuitBreakerPanel;'
    siblingRelationshipId: '&IDR_Circuit_Breaker_Panel__has__Circuit_Breaker;'
    singular: no